Flag a message for the moderators
POST /api/member/messages/{messageId}/flags. Flag a message for the moderators. Headless LMS Chats API reference.
For a participant of the chat. Flagging it again while your flag is open returns that flag.
Path Parameters
messageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/messages/string/flags" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "messageId": "string", "orgUserId": "string", "reason": "string", "resolvedAt": "2019-08-24T14:15:22Z", "resolution": "dismissed", "resolvedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Set your reaction on a message PUT
PUT /api/member/messages/{messageId}/reaction. Set your reaction on a message. Headless LMS Chats API reference.
Dismiss the open flags on a message in a community you moderate POST
POST /api/member/messages/{messageId}/flags/resolution. Dismiss the open flags on a message in a community you moderate. Headless LMS Chats API reference.